Subject: Re: [PATCH v5 20/20] rebase: rename the two primary rebase backends

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2020 12:12:01 -0700

Elijah Newren <[email-masked]> writes:

> On Thu, Mar 12, 2020 at 8:13 AM Emily Shaffer <[email-masked]> wrote:
>> ...
>> This broke quite a few upstream users for us today...

One more thing I've been wondering was if we should really have said
"ok, the two known gotchas have been dealt with, so let's ship it".
It is quite likely that users may be hit by remaining differences
between the merge and apply backends that we assume to be merely
subtle and easy-to-work-around ones, and it may be prudent to use
the "let's not change the default just yet, but ask people to test
it in their workflow by advertising the configuration" patch.